# Class AuthorizePermissionsAttribute

Namespace
  adas_core.Authentication.Attributes

Assembly
  adas-core.Authentication.dll

    public class AuthorizePermissionsAttribute : Attribute, IAuthorizationFilter, IFilterMetadata

Inheritance
  object
  Attribute
  AuthorizePermissionsAttribute

Implements
  IAuthorizationFilter
  IFilterMetadata

Inherited Members
  Attribute.Equals(object)
  Attribute.GetCustomAttribute(Assembly, Type)
  Attribute.GetCustomAttribute(Assembly, Type, bool)
  Attribute.GetCustomAttribute(MemberInfo, Type)
  Attribute.GetCustomAttribute(MemberInfo, Type, bool)
  Attribute.GetCustomAttribute(Module, Type)
  Attribute.GetCustomAttribute(Module, Type, bool)
  Attribute.GetCustomAttribute(ParameterInfo, Type)
  Attribute.GetCustomAttribute(ParameterInfo, Type, bool)
  Attribute.GetCustomAttributes(Assembly)
  Attribute.GetCustomAttributes(Assembly, bool)
  Attribute.GetCustomAttributes(Assembly, Type)
  Attribute.GetCustomAttributes(Assembly, Type, bool)
  Attribute.GetCustomAttributes(MemberInfo)
  Attribute.GetCustomAttributes(MemberInfo, bool)
  Attribute.GetCustomAttributes(MemberInfo, Type)
  Attribute.GetCustomAttributes(MemberInfo, Type, bool)
  Attribute.GetCustomAttributes(Module)
  Attribute.GetCustomAttributes(Module, bool)
  Attribute.GetCustomAttributes(Module, Type)
  Attribute.GetCustomAttributes(Module, Type, bool)
  Attribute.GetCustomAttributes(ParameterInfo)
  Attribute.GetCustomAttributes(ParameterInfo, bool)
  Attribute.GetCustomAttributes(ParameterInfo, Type)
  Attribute.GetCustomAttributes(ParameterInfo, Type, bool)
  Attribute.GetHashCode()
  Attribute.IsDefaultAttribute()
  Attribute.IsDefined(Assembly, Type)
  Attribute.IsDefined(Assembly, Type, bool)
  Attribute.IsDefined(MemberInfo, Type)
  Attribute.IsDefined(MemberInfo, Type, bool)
  Attribute.IsDefined(Module, Type)
  Attribute.IsDefined(Module, Type, bool)
  Attribute.IsDefined(ParameterInfo, Type)
  Attribute.IsDefined(ParameterInfo, Type, bool)
  Attribute.Match(object)
  Attribute.TypeId
  object.Equals(object, object)
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### AuthorizePermissionsAttribute(IUserService)

    public AuthorizePermissionsAttribute(IUserService userService)

#### Parameters

`userService` IUserService

## Methods

### OnAuthorization(AuthorizationFilterContext)

Handles authorization by validating the presence of the `Displayid` request header and ensuring the authenticated user exists in the user service. If the header is missing or the user cannot be found, the request is short-circuited with a NotFoundObjectResult.

    public void OnAuthorization(AuthorizationFilterContext context)

#### Parameters

`context` AuthorizationFilterContext

  The AuthorizationFilterContext for the current request, providing access to the HTTP context, user identity, and the ability to set the action result.